Bug 193848 - emulators/linux-c6 cannot be built/packaged as unprivileged user
Summary: emulators/linux-c6 cannot be built/packaged as unprivileged user
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-22 20:05 UTC by Matthias Andree
Modified: 2014-10-27 13:13 UTC (History)
2 users (show)

See Also:


Attachments
allow extraction as non-root user (1.40 KB, patch)
2014-09-22 20:05 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree freebsd_committer 2014-09-22 20:05:27 UTC
Created attachment 147571 [details]
allow extraction as non-root user

linux/emulators-c6 cannot be built by a non-root user. The filesystem*.rpm file creates many directories with mode 0555 so that subsequently no files can be extracted into them.  

Root users are not subject to permissions-based access limitations so do not notice this.

Find a patch attached that allows extraction as non-root user; for other related framework bugs, see Bug#193847.
Comment 1 Bugzilla Automation freebsd_committer 2014-09-22 20:05:27 UTC
Maintainers CC'd
Comment 2 Johannes Jost Meixner freebsd_committer 2014-10-21 11:38:36 UTC
I'll take it.
Comment 3 commit-hook freebsd_committer 2014-10-27 13:11:38 UTC
A commit references this bug:

Author: xmj
Date: Mon Oct 27 13:11:22 UTC 2014
New revision: 371573
URL: https://svnweb.freebsd.org/changeset/ports/371573

Log:
  emulators/linux_base-c6: fix build/packaging as unprivileged user.

  - Allow build/packaging as unprivileged user.

  PR:	193848
  Differential Revision:	https://reviews.freebsd.org/D989
  Submitted by:	mandree
  Approved by:	swills (mentor)

Changes:
  head/emulators/linux_base-c6/Makefile
Comment 4 Johannes Jost Meixner freebsd_committer 2014-10-27 13:13:41 UTC
(Modified the dependency tree: 193847 is not a blocker for this PR.)
Committed, thanks!